package com.java4less.android;

import java.io.IOException;
import java.io.InputStream;

import com.java4less.j4ldatamatrix.DataMatrix;
import com.java4less.j4lqrcode.QRCode;


import android.app.Activity;
import android.os.Bundle;
import android.util.Log;

public class ShowBarcode extends Activity {
	
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle icicle) {
    	
    	    String barcodeName=this.getIntent().getStringExtra("barcodeName");
	        super.onCreate(icicle);

	      
	        if (barcodeName.equalsIgnoreCase("datamatrix")) {
	        	DatamatrixView view=new DatamatrixView(this);
	        	view.setDatamatrix(new DataMatrix());
	        	view.getDatamatrix().code="Today is "+java.util.Calendar.getInstance().getTime();
	        	view.getDatamatrix().encoding=DataMatrix.E_AUTO;
	        	view.setPreferredHeight(300);
	        	view.setPreferredWidth(300);
	        	setContentView(view);
	        } else {
	        	QRCodeView view=new QRCodeView(this);
	        	view.setQRCode(new QRCode());
	        	view.getQRCode().setCode("Today is "+java.util.Calendar.getInstance().getTime());
	        	view.getQRCode().setEncoding(QRCode.ENC_ALPHA);
	        	view.setPreferredHeight(300);
	        	view.setPreferredWidth(300);	        	
	        	setContentView(view);
	        }
	        
	                
	    }
    
    	protected void onDestroy() {
    		

    		super.onDestroy();
    	}	
 
	    
   
}